# Windows Update を確認するセッションを開始
$updateSession = New-Object -com Microsoft.Update.Session

# Windows Update の検索
$searcher = $updateSession.CreateUpdateSearcher()
$searchResult = $searcher.search("IsInstalled=0 and Type='software'")

# Windows Update の結果確認　※Criticalに限定
$txt = ($searchResult.Updates | Where-Object {$_.MsrcSeverity -eq 'Critical'} | Select-Object Title)

foreach ($wh in $txt){
    if ($wh.Title -match ".+(KB[0-9]+)"){
        Write-Host $Matches[1]
    }
}

